cgGetUserType(3)

NAME
cgGetUserType - get enumerant of user-defined type from a program or effect

SYNOPSIS
  #include <Cg/cg.h>
  CGtype cgGetUserType( CGhandle handle,
                        int index );

PARAMETERS

handle
    The CGprogram or CGeffect in which the type is defined.

index
    The index of the user-defined type. index must be greater than or equal to 0 and less than the value returned by cgGetNumUserTypes.

RETURN VALUES
Returns the type enumerant associated with the type with the given index.

DESCRIPTION
cgGetUserTypes returns the enumerant associated with the user-defined type with the given index in the given CGprogram or CGeffect.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if handle is not a valid program or effect handle.

CG_OUT_OF_ARRAY_BOUNDS_ERROR is generated if index is outside the proper range.

HISTORY
cgGetUserType was introduced in Cg 1.2.

SEE ALSO
the cgGetNumUserTypes manpage, the cgGetNamedUserType manpage